#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-1TXwLSsBfXr3WHkZoGSyIH
key:                  tree-diff-0.3.0.1-1TXwLSsBfXr3WHkZoGSyIH
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  eab4928176cf22e22aaf4a65b97f38e5
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-1TXwLSsBfXr3WHkZoGSyIH
depends:
    QuickCheck-2.14.3-Ae0vtlXhT9J90h2wzX7QNU
    aeson-2.1.2.1-6Gxkuy06RRI8WlveXWEXju
    ansi-terminal-0.11.4-30w7KBHfEQ9CygddjSQvBk
    ansi-wl-pprint-0.6.9-3bScAiBbugl4HhJOdwJ4J8 base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 data-array-byte-0.1.0.1-EYz1Re115rv9IIYV5MAfu7
    deepseq-1.4.5.0 hashable-1.4.3.0-HJgArJTlHGmAXC3Ze6Bl1H
    parsec-3.1.14.0 parsers-0.12.11-IIhezlqLnoHDlML234ezQk
    pretty-1.1.3.6 primitive-0.7.4.0-BQ2B7BaDpwiAoeyz8bIgJy
    scientific-0.3.7.0-AhPcpzGQN3qL4gK5mI34xQ
    semialign-1.2.0.1-K1E5dOoPIhM1vxvAHveGAq
    strict-0.4.0.1-HRUr2ZcIpWn47WrDcpVCFi
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH text-1.2.5.0
    these-1.1.1.1-HBZ3GiSzssRCEpUGZmjDlB time-1.9.3
    unordered-containers-0.2.19.1-ChULPaPHhwJ2dhnjSGpBLT
    uuid-types-1.0.5.1-DS2SUAviDHTGBpeaoG74KV
    vector-0.13.0.0-KIuT1VoCD3MJyGRIMGoXTR

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

